Summary: A document formatting system
Name:	groff
Version: 1.22.3
Release: 1
License: GPL
Group: Applications/Publishing
URL: http://groff.ffii.org
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zlib-devel, texinfo, make
BuildRequires: netpbm, patch
BuildRequires: libiconv >= 1.14-2
Requires: netpbm
Requires: /sbin/install-info, info
Requires: libiconv >= 1.14-2

%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The
created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size,
bold type, italic type, the number and size of columns on a page, and
more.

Groff can also be used to format man pages. If you are going to use
groff with the X Window System, you will also need to install the
groff-gxditview package.


%package perl
Summary: Parts of the groff formatting system that require Perl
Group: Applications/Publishing

%description perl
The groff-perl package contains the parts of the groff text processor
package that require Perl. These include the afmtodit font processor
for creating PostScript font files, the grog utility that can be used
to automatically determine groff command-line options, and the
troff-to-ps print filter.


%package gxditview
Summary: An X previewer for groff text processor output
Group: Applications/Publishing

%description gxditview
Gxditview displays the groff text processor's output on an X Window
System display.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --with-x
# no parallel make possible
gmake X_EXTRA_LIBS="-lXext"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install \
    prefix=${RPM_BUILD_ROOT}%{_prefix} \
    bindir=${RPM_BUILD_ROOT}%{_bindir} \
    infodir=${RPM_BUILD_ROOT}%{_infodir} \
    libdir=${RPM_BUILD_ROOT}/%{_libdir} \
    mandir=${RPM_BUILD_ROOT}%{_mandir} \
    datadir=${RPM_BUILD_ROOT}%{_datadir} \
    appresdir=${RPM_BUILD_ROOT}/usr/lib/X11/app-defaults

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{name}*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_mandir} ${RPM_BUILD_ROOT}/usr/bin/ -type f -o -type l | \
    sed "/afmtodit/d;/grog/d;/mdoc\.samples/d;/mmroff/d;/gxditview/d
                s|${RPM_BUILD_ROOT}||g; s|\.[0-9]|\.*|g" > groff-files

# remove /bin/sed dependency
sed 's|bin\/sed|usr\/bin\/sed|g' ${RPM_BUILD_ROOT}%{_datadir}/%{name}/%{version}/font/devps/generate/symbol.sed > symbol.sed.tmp
mv -f symbol.sed.tmp ${RPM_BUILD_ROOT}%{_datadir}/%{name}/%{version}/font/devps/generate/symbol.sed

# fix missing '/opt/freeware/share/groff/<version>/tmac/an.tmac' file
cd ${RPM_BUILD_ROOT}%{_datadir}/%{name}/%{version}/tmac
ln -sf andoc.tmac an.tmac

# make symbolic links to /usr/bin
cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -f groff-files
%defattr(-,root,system,-)
%doc BUG-REPORT NEWS PROBLEMS README TODO VERSION
%doc doc/meintro.me doc/meref.me doc/pic.ms
%{_datadir}/%{name}
%{_infodir}/%{name}*


%files perl
%defattr(-,root,system,-)
%{_bindir}/afmtodit
%{_bindir}/grog
%{_bindir}/mmroff
%{_mandir}/man1/afmtodit.*
%{_mandir}/man1/grog.*
%{_mandir}/man1/mmroff*
/usr/bin/afmtodit
/usr/bin/grog
/usr/bin/mmroff


%files gxditview
%defattr(-,root,system,-)
%{_bindir}/gxditview
%{_mandir}/man1/gxditview.1
/usr/lib/X11/app-defaults/GXditview
/usr/bin/gxditview


%changelog
* Tue Nov 11 2014 Michael Perzl <michael@perzl.org> - 1.22.3-1
- updated to version 1.22.3

* Fri Feb 08 2013 Michael Perzl <michael@perzl.org> - 1.22.2-1
- updated to version 1.22.2

* Mon Dec 31 2012 Michael Perzl <michael@perzl.org> - 1.22.1-1
- updated to version 1.22.1

* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 1.21-1
- fix so that 'groff -man <manpage.man>' works now

* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 1.21-1
- updated to version 1.21

* Mon Aug 31 2009 Michael Perzl <michael@perzl.org> - 1.20.1_CVS_20090831-1
- updated to version 1.20.1_CVS_20090831

* Wed Aug 19 2009 Michael Perzl <michael@perzl.org> - 1.20.1-1
- updated to version 1.20.1

* Wed Mar 26 2008 Michael Perzl <michael@perzl.org> - 1.19.2-1
- first version for AIX V5.1 and higher
